<template>
  <!--   <v-navigation-drawer
    id="app-drawer"
    v-model="inputValue"
    :mini-variant.sync="mini"
    app
    dark
    floating
    persistent
    hide-overlay
    mobile-break-point="991"
    width="260"
  >
    <v-layout
      class="fill-height"
      tag="v-list"
      column
    >
      <v-list-tile avatar>
        <v-list-tile-avatar
          color="white"
        >
          <v-img
            :src="logo"
            height="34"
            contain
          />
        </v-list-tile-avatar>
        <v-list-tile-title class="title">
          Vuetify MD
        </v-list-tile-title>
      </v-list-tile>
      <v-divider/>
      <v-list-tile
        v-if="responsive"
      >
        <v-text-field
          class="search-input"
          label="Search..."
          color="success"
        />
      </v-list-tile>
      <v-list-tile
        v-for="link in links"
        :key="link.to"
        :to="link.to"
        :active-class="color"
        avatar
        class="v-list-item"
      >
        <v-list-tile-action>
          <v-icon>{{ link.icon }}</v-icon>
        </v-list-tile-action>
        <v-list-tile-title
          v-text="link.text"
        />
      </v-list-tile>
      <v-spacer/>
      <v-list-tile
        v-for="link in bottomLinks"
        :key="link.to"
        :to="link.to"
        :active-class="color"
        avatar
        class="v-list-item v-list__tile--buy"
      >
        <v-list-tile-action>
          <v-icon>{{ link.icon }}</v-icon>
        </v-list-tile-action>
        <v-list-tile-title
          v-text="link.text"
        />
      </v-list-tile>
    </v-layout>
  </v-navigation-drawer> -->
  <v-navigation-drawer
    id="app-drawer"
    v-model="inputValue"
    :mini-variant.sync="mini"
    mobile-break-point="991"
    width="260"
    clipped
    fixed
    app
  >
    <v-layout
      class="fill-height"
      tag="v-list"
      column
      dense
    >
      <v-list-tile
        v-for="link in links"
        :key="link.to"
        :to="link.to"
        :class="link.to === $route.path ? 'v-list__tile--highlighted' : ''"
        active-class="v-list__tile--highlighted"
      >
        <v-list-tile-action>
          <v-icon>{{ link.icon }}</v-icon>
        </v-list-tile-action>
        <v-list-tile-content>
          <v-list-tile-title
            v-text="link.text"
          />
        </v-list-tile-content>
      </v-list-tile>
      <v-spacer/>
      <!-- <v-list-tile
        v-for="link in bottomLinks"
        :key="link.to"
        :to="link.to"
      >
        <v-list-tile-action>
          <v-icon>{{ link.icon }}</v-icon>
        </v-list-tile-action>
        <v-list-tile-content>
          <v-list-tile-title
            v-text="link.text"
          />
        </v-list-tile-content>
      </v-list-tile> -->
    </v-layout>
  </v-navigation-drawer>
</template>

<script>
// Utilities
import {
  mapMutations,
  mapState
} from 'vuex'

export default {
  data: () => ({
    logo: './img/logo.png',
    links: [
      {
        to: '/servers',
        icon: 'mdi-server',
        text: 'Servers'
      }
    ],
    // bottomLinks: [
    //   {
    //     to: '/notifications',
    //     icon: 'mdi-bell',
    //     text: 'Notifications'
    //   },
    //   {
    //     to: '/user-profile',
    //     icon: 'mdi-account',
    //     text: 'User Profile'
    //   }
    // ],
    mini: false,
    responsive: false
  }),
  computed: {
    ...mapState('app', ['image', 'color']),
    inputValue: {
      get () {
        return this.$store.state.app.drawer
      },
      set (val) {
        this.setDrawer(val)
      }
    },
    items () {
      return this.$t('Layout.View.items')
    }
  },
  mounted () {
    this.onResponsiveInverted()
    window.addEventListener('resize', this.onResponsiveInverted)
  },
  beforeDestroy () {
    window.removeEventListener('resize', this.onResponsiveInverted)
  },
  methods: {
    ...mapMutations('app', ['setDrawer', 'toggleDrawer']),
    onResponsiveInverted () {
      if (window.innerWidth < 991) {
        this.responsive = true
      } else {
        this.responsive = false
      }
    }
  }
}
</script>

<style lang="scss"></style>
